Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Unable to read repository (Unable to read repository at https://tools.hana.ondemand.com/latest/content.xml.)
Unable to read repository [message #1842301] Wed, 16 June 2021 00:42 Go to next message
Gaurav Singhdeo is currently offline Gaurav SinghdeoFriend
Messages: 2
Registered: June 2021
Junior Member
Hi All, I have been struggling from this issue now for over a week.
I am trying to install BW modeling tools from the website tools.hana.ondemand and keep getting the error:
Unable to read repository at tools.hana.ondemand.com/latest/content.xml.
PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target.

Steps taken from my end:
1. I have installed the required JAVA versions 11.0.11
2. I have tried to import my company's SSL certificate into the JVM for the running Eclipse. Followed the steps shared in the link:

The problem still persists

Attached are the details.
Can someone please help me with a solution.
Thanks
Re: Unable to read repository [message #1842303 is a reply to message #1842301] Wed, 16 June 2021 04:18 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 32441
Registered: July 2009
Senior Member
Have you tried with just http instead of https? This is generally caused by the certificate being absent, so importing it into the JVM would be the way to go...

Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Unable to read repository [message #1842353 is a reply to message #1842303] Thu, 17 June 2021 03:26 Go to previous messageGo to next message
Gaurav Singhdeo is currently offline Gaurav SinghdeoFriend
Messages: 2
Registered: June 2021
Junior Member
Thank you. I downloaded the certificates and then had to install it in the CAcert file in the JDK. This helped me to resolve the issue.

Thank you
Re: Unable to read repository [message #1852628 is a reply to message #1842301] Fri, 27 May 2022 22:01 Go to previous message
Mark Meeus is currently offline Mark MeeusFriend
Messages: 1
Registered: May 2022
Junior Member
Please check SAP Note 3131747 - "Unable to read repository at ..." during installation of ABAP Development Tools or required plugins:

Solution
Assuming that you can access the repository URL in your browser in Windows, you have the following option to import the certificate into your Eclipse:

Adapt the eclipse.ini file, in order to use the Microsoft Certificate Trust Store, in which the missing certificate is included:

Add the following lines into the "eclipse.ini" file right after the line:"-vmargs"

-Djavax.net.ssl.trustStore=NUL

-Djavax.net.ssl.trustStoreType=Windows-ROOT
Previous Topic:Prolog won't run & Installing JavaFX for Microsoft OpenJDK
Next Topic:Windows Desktop Application
Goto Forum:
  


Current Time: Mon Aug 15 14:07:44 GMT 2022

Powered by FUDForum. Page generated in 0.02923 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top